### Method

# EDataBook BookCache dup_contact_revision

since: 3.26

#### Declaration [src]

    gchar*
    e_book_cache_dup_contact_revision (
      EBookCache* book_cache,
      EContact* contact
    )

#### Description [src]

Returns the `contact` revision, used to detect changes. The returned string should be freed with g_free(), when no longer needed.

Available since: 3.26

#### Parameters

`contact`

  Type: `EContact`

  An `EContact`.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A newly allocated string containing revision of the `contact`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.